/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.mangue.client.gui.supinfo;

import java.awt.BorderLayout;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableCellRenderer;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.mangue.client.gui.cir.CirView;
import org.cocktail.mangue.common.utilities.CocktailConstantes;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.mangue.common.utilities.CocktailIcones;
import org.cocktail.mangue.modele.grhum.EOGrade;
import org.cocktail.mangue.modele.mangue.EOSupInfoData;
import org.cocktail.mangue.modele.mangue.EOSupInfoFichier;

import com.webobjects.eointerface.EODisplayGroup;


/**
 *
 * @author  cpinsard
 */
public class SupInfoView extends javax.swing.JFrame {

	protected EODisplayGroup eod, eodFichier;
	private ZEOTableCellRenderer myRenderer;

	protected ZEOTable myEOTable, myEOTableFichier;
	protected ZEOTableModel myTableModel, myTableModelFichier;
	protected TableSorter myTableSorter, myTableSorterFichier;


    /**
	 * 
	 */
	private static final long serialVersionUID = -6195866169790317637L;

	/** Creates new form TemplateJDialog */
    public SupInfoView(java.awt.Frame parent, boolean modal, EODisplayGroup eodFichier, EODisplayGroup eodData, ZEOTableCellRenderer renderer) {
        
        this.eod = eodData;
        this.eodFichier = eodFichier;
        myRenderer = renderer;

        initComponents();
        initGui();
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        viewTable = new javax.swing.JPanel();
        btnCalculer = new javax.swing.JButton();
        btnFichier = new javax.swing.JButton();
        btnAjouter = new javax.swing.JButton();
        btnModifier = new javax.swing.JButton();
        btnSupprimer = new javax.swing.JButton();
        jLabel6 = new javax.swing.JLabel();
        tfFiltreNom = new javax.swing.JTextField();
        btnRechercher = new javax.swing.JButton();
        jLabel7 = new javax.swing.JLabel();
        validite = new javax.swing.JComboBox();
        lblMessage = new javax.swing.JLabel();
        btnRecalculer = new javax.swing.JButton();
        btnDetail = new javax.swing.JButton();
        jLabel8 = new javax.swing.JLabel();
        tfFiltreNumen = new javax.swing.JTextField();
        viewtableFichiers = new javax.swing.JPanel();
        btnAjouterFichier = new javax.swing.JButton();
        btnModifierFichier = new javax.swing.JButton();
        btnSupprimerFichier = new javax.swing.JButton();
        viewFiltreCrct = new javax.swing.JPanel();
        popupCrct = new javax.swing.JComboBox();
        jLabel9 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("SUP INFO ( Promotion des Enseignants Chercheurs)");

        viewTable.setBorder(javax.swing.BorderFactory.createBevelBorder(javax.swing.border.BevelBorder.RAISED));
        viewTable.setLayout(new java.awt.BorderLayout());

        btnCalculer.setText("Préparer les données");
        btnCalculer.setToolTipText("Préparation des données SUP-INFO");

        btnFichier.setText("Exporter le Fichier");

        jLabel6.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel6.setText("Nom ?");

        tfFiltreNom.setToolTipText("Recherche sur le nom");

        jLabel7.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel7.setText("VALIDE ?");

        validite.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        validite.setFocusable(false);
        validite.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                validiteActionPerformed(evt);
            }
        });

        lblMessage.setFont(new java.awt.Font("Tahoma", 1, 12));
        lblMessage.setForeground(new java.awt.Color(102, 102, 255));
        lblMessage.setText("593 Agents");

        jLabel8.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel8.setText("NUMEN?");

        tfFiltreNumen.setToolTipText("Recherche sur le nom");

        viewtableFichiers.setLayout(new java.awt.BorderLayout());

        popupCrct.setModel(new javax.swing.DefaultComboBoxModel(new String[] { "Item 1", "Item 2", "Item 3", "Item 4" }));
        popupCrct.setToolTipText("Agents ayant déjà eu un CRCT de plus de 6 mois (OUI / NON)");
        popupCrct.setFocusable(false);
        popupCrct.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                popupCrctActionPerformed(evt);
            }
        });

        jLabel9.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel9.setText("CRCT ?");

        org.jdesktop.layout.GroupLayout viewFiltreCrctLayout = new org.jdesktop.layout.GroupLayout(viewFiltreCrct);
        viewFiltreCrct.setLayout(viewFiltreCrctLayout);
        viewFiltreCrctLayout.setHorizontalGroup(
            viewFiltreCrctLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewFiltreCrctLayout.createSequentialGroup()
                .addContainerGap()
                .add(jLabel9, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(popupCrct, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        viewFiltreCrctLayout.setVerticalGroup(
            viewFiltreCrctLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(viewFiltreCrctLayout.createSequentialGroup()
                .add(viewFiltreCrctLayout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel9)
                    .add(popupCrct, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(layout.createSequentialGroup()
                                .add(10, 10, 10)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                    .add(viewtableFichiers, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 852, Short.MAX_VALUE)
                                    .add(layout.createSequentialGroup()
                                        .add(lblMessage, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 255, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 250, Short.MAX_VALUE)
                                        .add(btnCalculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 170, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .add(18, 18, 18)
                                        .add(btnFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 153, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED))))
                            .add(layout.createSequentialGroup()
                                .addContainerGap()
                                .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 846, Short.MAX_VALUE)
                                .add(6, 6, 6)))
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 0, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(btnDetail, 0, 0, Short.MAX_VALUE)
                            .add(btnSupprimer, 0, 0, Short.MAX_VALUE)
                            .add(btnModifier, 0, 0, Short.MAX_VALUE)
                            .add(btnSupprimerFichier, 0, 0, Short.MAX_VALUE)
                            .add(btnModifierFichier, 0, 0, Short.MAX_VALUE)
                            .add(btnAjouterFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 24, Short.MAX_VALUE)
                            .add(btnRecalculer, 0, 0, Short.MAX_VALUE)))
                    .add(layout.createSequentialGroup()
                        .addContainerGap()
                        .add(jLabel7, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 60, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(validite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 66, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(jLabel6, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 46, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .add(6, 6, 6)
                        .add(jLabel8, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 61, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(tfFiltreNumen, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 52, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(viewFiltreCrct, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 89, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(viewtableFichiers, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 115, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING, false)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, layout.createSequentialGroup()
                                .add(2, 2, 2)
                                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                    .add(jLabel7)
                                    .add(validite, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel6)
                                    .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                    .add(jLabel8)
                                    .add(tfFiltreNumen, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                            .add(org.jdesktop.layout.GroupLayout.LEADING, viewFiltreCrct, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .add(org.jdesktop.layout.GroupLayout.LEADING, btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 21, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(layout.createSequentialGroup()
                        .add(btnAjouterFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnModifierFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimerFichier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(66, 66, 66)
                        .add(btnAjouter, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTable, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 345, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING, false)
                            .add(btnFichier, 0, 0, Short.MAX_VALUE)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                                .add(btnCalculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(lblMessage))))
                    .add(layout.createSequentialGroup()
                        .add(btnModifier, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnSupprimer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnRecalculer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDetail, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 22, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-918)/2, (screenSize.height-592)/2, 918, 592);
    }// </editor-fold>//GEN-END:initComponents

    private void validiteActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_validiteActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_validiteActionPerformed

    private void popupCrctActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_popupCrctActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_popupCrctActionPerformed

    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                CirView dialog = new CirView(new javax.swing.JFrame(), true);
                dialog.addWindowListener(new java.awt.event.WindowAdapter() {
                    public void windowClosing(java.awt.event.WindowEvent e) {
                        System.exit(0);
                    }
                });
                dialog.setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    protected javax.swing.JButton btnAjouter;
    protected javax.swing.JButton btnAjouterFichier;
    protected javax.swing.JButton btnCalculer;
    protected javax.swing.JButton btnDetail;
    protected javax.swing.JButton btnFichier;
    protected javax.swing.JButton btnModifier;
    protected javax.swing.JButton btnModifierFichier;
    protected javax.swing.JButton btnRecalculer;
    protected javax.swing.JButton btnRechercher;
    protected javax.swing.JButton btnSupprimer;
    protected javax.swing.JButton btnSupprimerFichier;
    private javax.swing.JLabel jLabel6;
    private javax.swing.JLabel jLabel7;
    private javax.swing.JLabel jLabel8;
    private javax.swing.JLabel jLabel9;
    private javax.swing.JLabel lblMessage;
    protected javax.swing.JComboBox popupCrct;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JTextField tfFiltreNumen;
    protected javax.swing.JComboBox validite;
    private javax.swing.JPanel viewFiltreCrct;
    protected javax.swing.JPanel viewTable;
    private javax.swing.JPanel viewtableFichiers;
    // End of variables declaration//GEN-END:variables

        
    private void initGui() {

    	setTitle("RH SUP-INFO");
    	setDefaultCloseOperation(DISPOSE_ON_CLOSE);
    	
    	btnRechercher.setIcon(CocktailIcones.ICON_LOUPE_16);

    	btnDetail.setIcon(CocktailIcones.ICON_LOUPE_16);
    	btnDetail.setToolTipText("Détail des données SUP INFO de l'agent sélectionné");

    	btnCalculer.setIcon(CocktailIcones.ICON_CALCULATE_16);
    	btnCalculer.setToolTipText("Préparation des données pour la date de référence sélectionnéé");
    	
    	btnRecalculer.setIcon(CocktailIcones.ICON_REFRESH_16);
    	btnRecalculer.setToolTipText("Calcul des données de l'individu sélectionné");
    	
    	btnAjouter.setIcon(CocktailIcones.ICON_ADD);
    	btnModifier.setIcon(CocktailIcones.ICON_UPDATE);

    	btnSupprimer.setIcon(CocktailIcones.ICON_DELETE);
    	btnSupprimer.setToolTipText("Suppression de la ligne sélectionnée");

    	btnAjouterFichier.setIcon(CocktailIcones.ICON_ADD);
    	btnModifierFichier.setIcon(CocktailIcones.ICON_UPDATE);
    	btnSupprimerFichier.setIcon(CocktailIcones.ICON_DELETE);

    	btnFichier.setIcon(CocktailIcones.ICON_DOSSIER_22);
    	btnFichier.setToolTipText("Génération du fichier d'envoi (CSV)");
    	   	    
    	btnAjouter.setVisible(false);
    	btnModifier.setVisible(false);
    	
    	validite.removeAllItems();
    	validite.addItem("*");
    	validite.addItem("OUI");
    	validite.addItem("NON");
    	
    	popupCrct.removeAllItems();
    	popupCrct.addItem("*");
    	popupCrct.addItem("OUI");
    	popupCrct.addItem("NON");

    	
    	Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();

    	ZEOTableModelColumn col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_NOM_USUEL_KEY, "Nom", 115);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_PRENOM_KEY, "prenom", 100);
    	col.setAlignment(SwingConstants.LEFT);
		col.setTableCellRenderer(myRenderer);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_NUMEN_KEY, "NUMEN", 90);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
//    	col = new ZEOTableModelColumn(eod, EOElectraFichier.EFIC_C_PAYS_NATIONALITE_KEY, "Pays", 40);
//    	col.setAlignment(SwingConstants.LEFT);
//    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_TEM_VALIDE_KEY, "Valide", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_STATUT_KEY, "Statut", 75);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_POSITION_KEY, "Position", 50);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_DEB_POSTION_KEY, "Deb Pos.", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_FIN_POSTION_KEY, "Fin Pos.", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_LIEU_POSITION_KEY, "Lieu Position", 125);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_UAI_KEY, "UAI", 60);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_QUOTITE_KEY, "Quot", 50);
    	col.setAlignment(SwingConstants.RIGHT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_GRADE_KEY, "Grade", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.TO_GRADE_KEY + "." + EOGrade.LC_GRADE_KEY, "Grade cible", 150);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_GRADE_KEY, "Deb Gra.", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_ANC_CONSERVEE_KEY, "Ancienneté", 75);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_ECHELON_KEY, "Echelon", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_CHEVRON_KEY, "Chevron", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_TYPE_ABSENCE_KEY, "Congé", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_DEB_ABSENCE_KEY, "Deb Congé", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_FIN_ABSENCE_KEY, "Fin Congé", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_C_MOTIF_DEPART_KEY, "Départ", 50);
    	col.setAlignment(SwingConstants.CENTER);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eod, EOSupInfoData.EFIC_D_EFFET_DEPART_KEY, "Date Dép.", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);

    	myTableModel = new ZEOTableModel(eod, myCols);
		myTableSorter = new TableSorter(myTableModel);

		myEOTable = new ZEOTable(myTableSorter);
		//myEOTable.addListener(myListenerContrat);
		myTableSorter.setTableHeader(myEOTable.getTableHeader());		

		myEOTable.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTable.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTable.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		myEOTable.setAutoResizeMode(ZEOTable.AUTO_RESIZE_OFF);
		
		viewTable.setLayout(new BorderLayout());
		viewTable.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTable.removeAll();
		viewTable.add(new JScrollPane(myEOTable), BorderLayout.CENTER);

    	myCols = new Vector<ZEOTableModelColumn>();

    	col = new ZEOTableModelColumn(eodFichier, EOSupInfoFichier.SUPF_DATE_OBS_KEY, "Date Observation", 75);
    	col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY);
		col.setColumnClass(Date.class);
    	myCols.add(col);
    	col = new ZEOTableModelColumn(eodFichier, EOSupInfoFichier.SUPF_OBJET_KEY, "OBJET", 115);
    	col.setAlignment(SwingConstants.LEFT);
    	myCols.add(col);

    	myTableModelFichier = new ZEOTableModel(eodFichier, myCols);
		myTableSorterFichier = new TableSorter(myTableModelFichier);

		myEOTableFichier = new ZEOTable(myTableSorterFichier);
		myTableSorterFichier.setTableHeader(myEOTableFichier.getTableHeader());		

		myEOTableFichier.setBackground(CocktailConstantes.COLOR_BKG_TABLE_VIEW);
		myEOTableFichier.setSelectionBackground(CocktailConstantes.COLOR_SELECTED_ROW);
		myEOTableFichier.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewtableFichiers.setLayout(new BorderLayout());
		viewtableFichiers.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewtableFichiers.removeAll();
		viewtableFichiers.add(new JScrollPane(myEOTableFichier), BorderLayout.CENTER);
		
    }
        
	public ZEOTable getMyEOTable() {
		return myEOTable;
	}

	public javax.swing.JTextField getTfFiltreNumen() {
		return tfFiltreNumen;
	}

	public void setTfFiltreNumen(javax.swing.JTextField tfFiltreNumen) {
		this.tfFiltreNumen = tfFiltreNumen;
	}

	public javax.swing.JComboBox getValidite() {
		return validite;
	}

	public void setValidite(javax.swing.JComboBox validite) {
		this.validite = validite;
	}

	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}

	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}

	public void setMyEOTable(ZEOTable myEOTable) {
		this.myEOTable = myEOTable;
	}

	public ZEOTableModel getMyTableModel() {
		return myTableModel;
	}

	public void setMyTableModel(ZEOTableModel myTableModel) {
		this.myTableModel = myTableModel;
	}

	public javax.swing.JButton getBtnAjouter() {
		return btnAjouter;
	}

	public javax.swing.JLabel getLblMessage() {
		return lblMessage;
	}

	public void setLblMessage(javax.swing.JLabel lblMessage) {
		this.lblMessage = lblMessage;
	}

	public void setBtnAjouter(javax.swing.JButton btnAjouter) {
		this.btnAjouter = btnAjouter;
	}

	public javax.swing.JButton getBtnCalculer() {
		return btnCalculer;
	}

	public void setBtnCalculer(javax.swing.JButton btnCalculer) {
		this.btnCalculer = btnCalculer;
	}

	public javax.swing.JButton getBtnFichier() {
		return btnFichier;
	}

	public void setBtnFichier(javax.swing.JButton btnFichier) {
		this.btnFichier = btnFichier;
	}

	public javax.swing.JButton getBtnModifier() {
		return btnModifier;
	}

	public javax.swing.JButton getBtnDetail() {
		return btnDetail;
	}

	public void setBtnDetail(javax.swing.JButton btnDetail) {
		this.btnDetail = btnDetail;
	}

	public javax.swing.JButton getBtnRecalculer() {
		return btnRecalculer;
	}

	public void setBtnRecalculer(javax.swing.JButton btnRecalculer) {
		this.btnRecalculer = btnRecalculer;
	}

	public void setBtnModifier(javax.swing.JButton btnModifier) {
		this.btnModifier = btnModifier;
	}

	public javax.swing.JButton getBtnSupprimer() {
		return btnSupprimer;
	}

	public void setBtnSupprimer(javax.swing.JButton btnSupprimer) {
		this.btnSupprimer = btnSupprimer;
	}

	public javax.swing.JButton getBtnAjouterFichier() {
		return btnAjouterFichier;
	}

	public void setBtnAjouterFichier(javax.swing.JButton btnAjouterFichier) {
		this.btnAjouterFichier = btnAjouterFichier;
	}

	public javax.swing.JButton getBtnModifierFichier() {
		return btnModifierFichier;
	}

	public void setBtnModifierFichier(javax.swing.JButton btnModifierFichier) {
		this.btnModifierFichier = btnModifierFichier;
	}

	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}

	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}

	public javax.swing.JButton getBtnSupprimerFichier() {
		return btnSupprimerFichier;
	}

	public void setBtnSupprimerFichier(javax.swing.JButton btnSupprimerFichier) {
		this.btnSupprimerFichier = btnSupprimerFichier;
	}

	public ZEOTable getMyEOTableFichier() {
		return myEOTableFichier;
	}

	public void setMyEOTableFichier(ZEOTable myEOTableFichier) {
		this.myEOTableFichier = myEOTableFichier;
	}

	public javax.swing.JComboBox getPopupCrct() {
		return popupCrct;
	}

	public void setPopupCrct(javax.swing.JComboBox popupCrct) {
		this.popupCrct = popupCrct;
	}

	public javax.swing.JPanel getViewFiltreCrct() {
		return viewFiltreCrct;
	}

	public void setViewFiltreCrct(javax.swing.JPanel viewFiltreCrct) {
		this.viewFiltreCrct = viewFiltreCrct;
	}


}
